# ``twisted`.`python`.`zippath`.`ZipPath``

class documentation

`class ZipPath(AbstractFilePath): (source)`

Known subclasses: `twisted.python.zippath.ZipArchive`

Implements interfaces: `twisted.python.filepath.IFilePath`

View In Hierarchy

I represent a file or directory contained within a zip file.

Method | `__cmp__` | Undocumented
Method | `__init__` | Don't construct me directly. Use `ZipArchive.child()`.
Method | `__repr__` | Undocumented
Method | `basename` | Retrieve the final component of the file path's path (everything after the final path separator).
Method | `changed` | Clear any cached information about the state of this path on disk.
Method | `child` | Return a new ZipPath representing a path in `self.archive` which is a child of this path.
Method | `dirname` | Undocumented
Method | `exists` | Check if this file path exists.
Method | `getAccessTime` | Retrieve this file's last access-time. This is the same as the last access time for the archive.
Method | `getModificationTime` | Retrieve this file's last modification time. This is the time of modification recorded in the zipfile.
Method | `getsize` | Retrieve this file's size.
Method | `getStatusChangeTime` | Retrieve this file's last modification time. This name is provided for compatibility, and returns the same value as getmtime.
Method | `isdir` | Check if this file path refers to a directory.
Method | `isfile` | Check if this file path refers to a regular file.
Method | `islink` | Undocumented
Method | `listdir` | Undocumented
Method | `open` | Opens this file path with the given mode.
Method | `parent` | A file path for the directory containing the file at this file path.
Method | `sibling` | Return a `FilePath` with the same directory as this instance but with a basename of `path`.
Method | `splitext` | Return a value similar to that returned by `os.path.splitext`.
Instance Variable | `archive` | Undocumented
Instance Variable | `path` | Undocumented
Instance Variable | `pathInArchive` | Undocumented
Property | `sep` | Return a zip directory separator.

Inherited from `AbstractFilePath`:

Method | `__hash__` | Hash the same as another `FilePath` with the same path as mine.
Method | `children` | List the children of this path object.
Method | `descendant` | Retrieve a child or child's child of this path.
Method | `getatime` | Deprecated. Use getAccessTime instead.
Method | `getContent` | Retrieve the contents of the file at this path.
Method | `getctime` | Deprecated. Use getStatusChangeTime instead.
Method | `getmtime` | Deprecated. Use getModificationTime instead.
Method | `parents` | Retrieve an iterator of all the ancestors of this path.
Method | `segmentsFrom` | Return a list of segments between a child and its ancestor.
Method | `walk` | Yield myself, then each of my children, and each of those children's children in turn.

def __cmp__(self, other): (source)

Undocumented

def __init__(self, archive, pathInArchive): (source)
overridden in `twisted.python.zippath.ZipArchive`
Don't construct me directly. Use `ZipArchive.child()`.

Parameters
archive | a `ZipArchive` instance.
pathInArchive | a ZIP_PATH_SEP-separated string.

def __repr__(self): (source)
overridden in `twisted.python.zippath.ZipArchive`

Undocumented

Returns
`str` | Undocumented

def basename(self): (source)
from `twisted.python.filepath.IFilePath`
Retrieve the final component of the file path's path (everything after the final path separator).

Returns
`str` | the base name of this file path.

def changed(self): (source)
from `twisted.python.filepath.IFilePath`
Clear any cached information about the state of this path on disk.
def child(self, path): (source)
from `twisted.python.filepath.IFilePath`
overridden in `twisted.python.zippath.ZipArchive`
Return a new ZipPath representing a path in `self.archive` which is a child of this path.

Note
Requesting the `".."` (or other special name) child will not cause `InsecurePath` to be raised since these names do not have any special meaning inside a zip archive. Be particularly careful with the `path` attribute (if you absolutely must use it) as this means it may include special names with special meaning outside of the context of a zip archive.

def dirname(self): (source)

Undocumented

def exists(self): (source)
from `twisted.python.filepath.IFilePath`
overridden in `twisted.python.zippath.ZipArchive`
Check if this file path exists.

Returns
`bool` | `True` if the file at this file path exists, `False` otherwise.

def getAccessTime(self): (source)
from `twisted.python.filepath.IFilePath`
overridden in `twisted.python.zippath.ZipArchive`
Retrieve this file's last access-time. This is the same as the last access time for the archive.

Returns
a number of seconds since the epoch

def getModificationTime(self): (source)
from `twisted.python.filepath.IFilePath`
overridden in `twisted.python.zippath.ZipArchive`
Retrieve this file's last modification time. This is the time of modification recorded in the zipfile.

Returns
a number of seconds since the epoch.

def getsize(self): (source)
from `twisted.python.filepath.IFilePath`
Retrieve this file's size.

Returns
file size, in bytes

def getStatusChangeTime(self): (source)
from `twisted.python.filepath.IFilePath`
overridden in `twisted.python.zippath.ZipArchive`
Retrieve this file's last modification time. This name is provided for compatibility, and returns the same value as getmtime.

Returns
a number of seconds since the epoch.

def isdir(self): (source)
from `twisted.python.filepath.IFilePath`
Check if this file path refers to a directory.

Returns
`True` if the file at this file path is a directory, `False` otherwise.

def isfile(self): (source)
from `twisted.python.filepath.IFilePath`
Check if this file path refers to a regular file.

Returns
`True` if the file at this file path is a regular file, `False` otherwise.

def islink(self): (source)

Undocumented

def listdir(self): (source)

Undocumented

def open(self, mode='r'): (source)
from `twisted.python.filepath.IFilePath`
Opens this file path with the given mode.

Returns
a file-like object.
Raises
`Exception` | if this file path cannot be opened.

def parent(self): (source)
from `twisted.python.filepath.IFilePath`
A file path for the directory containing the file at this file path.
def sibling(self, path): (source)
from `twisted.python.filepath.IFilePath`
overrides `twisted.python.filepath.AbstractFilePath.sibling`
Return a `FilePath` with the same directory as this instance but with a basename of `path`.

Parameters
path:`str` | The basename of the `FilePath` to return.
Returns
`FilePath` | The sibling path.

def splitext(self): (source)
Return a value similar to that returned by `os.path.splitext`.
archive = (source)
overridden in `twisted.python.zippath.ZipArchive`

Undocumented

path = (source)
overridden in `twisted.python.zippath.ZipArchive`

Undocumented

pathInArchive = (source)
overridden in `twisted.python.zippath.ZipArchive`

Undocumented

@property
sep = (source)
from `twisted.python.filepath.IFilePath`
Return a zip directory separator.

Returns
The same type as `self.path`. | Undocumented